# Versions
%define rname	qt
%define major	4
%define minor	0
%define bugfix	0
%define rlz alt3

Name: %rname%major-settings
Version: %major.%minor
Release: %rlz

Group: System/Libraries
Summary: Qt%major settings
Url: http://www.trolltech.com/products/qt.html
License: GPL & QPL

Requires: %rname%major-common

BuildArch: noarch
Source0: Trolltech.conf
Source10: qt4-set-QTDIR-environment-sh
Source11: qt4-set-QTDIR-environment-csh

%description
Qt%major settings files

%prep
%setup -q -T -c
%build
%install

install -d -m 0755 %buildroot/%_sysconfdir/%rname%major
install -m 644 %SOURCE0 %buildroot/%_sysconfdir/%rname%major

install -d -m 0755 %buildroot/%_sysconfdir/profile.d/
install -m 0755 %SOURCE10 %buildroot/%_sysconfdir/profile.d/qt%{major}dir.sh
install -m 0755 %SOURCE11 %buildroot/%_sysconfdir/profile.d/qt%{major}dir.csh

%files
#%config(noreplace) %_sysconfdir/profile.d/qt%{major}dir.sh
#%config(noreplace) %_sysconfdir/profile.d/qt%{major}dir.csh
%_sysconfdir/%rname%major

%changelog
* Fri Oct 28 2005 Sergey V Turchin <zerg at altlinux dot org> 4.0-alt3
- fix specfile

* Thu Oct 27 2005 Sergey V Turchin <zerg at altlinux dot org> 4.0-alt2
- fix specfile

* Tue Oct 25 2005 Sergey V Turchin <zerg at altlinux dot org> 4.0-alt1
- new Qt4

* Mon May 23 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt2
- update color sceme
- set default theme to Plastik

* Thu Nov 04 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt1
- initial spec
